Announcement

Collapse
No announcement yet.

Please migrate Qt4 Pascal binding to Qt5

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Please migrate Qt4 Pascal binding to Qt5

    On Gentoo, Qt4 is masked for removal.

    Will you please migrate to Qt5 binding?

    The home page of Qt binding hasn't been updated for quite some years. The last alpha release was Qt 5.1.

  • #2
    Hello,

    We are working on upgrading our QT support to QT5.
    Aaron P Scooter Software

    Comment


    • #3
      Thank you for you reply, Aaron.

      Out of curiosity, will you still use Qt Pascal binding to do GUI job, or you will use pure, original C++ Qt for GUI, thus separating the GUI and the back-end, ie, the comparing process? Or are you considering other GUI toolkit?

      Comment


      • #4
        An updated version of the Pascal Qt5 bindings is included with the Lazarus project. Aside from updating to the new bindings we're not drastically changing the Linux implementation in v5. I would like to have more separation, so we could optimize for things like command line quick compares or running without X, but those are much too large of projects with Apple breathing down our necks about 64-bit support.
        ZoŽ P Scooter Software

        Comment


        • #5
          Has there been any progress on the move to Qt5? It is becoming increasingly difficult to keep the needed Qt4 libraries working on Gentoo Linux.

          Comment


          • #6
            Right now we're focused on releasing a 64-bit Mac version in time for macOS 10.15 (September 2019). 10.15 will remove support for 32-bit apps. We don't expect to have a QT5 Linux version until sometime after that date.
            Chris K Scooter Software

            Comment

            Working...
            X